package com.goafanti.test;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.AbstractJUnit4SpringContextTests;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.transaction.annotation.Transactional;

import com.goafanti.business.service.BusinessVarietiesService;
import com.goafanti.common.model.ValueEvaluation;
import com.goafanti.evaluation.service.ValueEvaluationService;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = "classpath:applicationContext-test.xml")
@Transactional
public class TestValueEvaluation extends AbstractJUnit4SpringContextTests {
	@Autowired
	ValueEvaluationService valueEvaluationService;
	
	@Autowired
	BusinessVarietiesService businessVarietiesService;

	@Test
	public void testValueInsert() {
		ValueEvaluation ve = new ValueEvaluation();
		ve.setName("fff");
		ve.setStep(1);
		ve.setUid("fsdf");
		ve.setLog("{\"transferType\":1}");
		Assert.assertTrue("插入用户失败", valueEvaluationService.insert(ve) != 0);
	}
	@Test
	public void testInset() {
		businessVarietiesService.insert("测试","00");
	}
	
}
